/*
 Generic Runtime Library (GRT)
 Copyright (C) 2005 MySQL AB

 This library is free software; you can redistribute it and/or
 modify it under the terms of the GNU Lesser General Public
 License as published by the Free Software Foundation; either
 version 2.1 of the License, or (at your option) any later version.

 This library is distributed in the hope that it will be useful,
 but WITHOUT ANY WARRANTY; without even the implied warranty of
 MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the GNU
 Lesser General Public License for more details.

 You should have received a copy of the GNU Lesser General Public
 License along with this library; if not, write to the Free Software
 Foundation, Inc., 51 Franklin St, Fifth Floor, Boston, MA  02110-1301  USA
 */

package com.mysql.grt.db.maxdb;

public class TableDataLocal extends com.mysql.grt.db.TableDataLocal implements TableData {

    private int noFixedLengthColumn;

    private String sample;

    private String createDate;

    private String createTime;

    private String updStatDate;

    private String updStatTime;

    private String alterDate;

    private String alterTime;

    private String unloaded;

    private String privileges;

    private String comment;

    private String tableid;

    private String archive;

    private String variableColumns;

    public TableDataLocal(com.mysql.grt.GrtObject grtObject) {
        super(grtObject);
    }

    public int getNoFixedLengthColumn() {
        return noFixedLengthColumn;
    }

    public int setNoFixedLengthColumn(int noFixedLengthColumn) {
        this.noFixedLengthColumn = noFixedLengthColumn;

        return getNoFixedLengthColumn();
    }

    public String getSample() {
        return sample;
    }

    public String setSample(String sample) {
        this.sample = sample;

        return getSample();
    }

    public String getCreateDate() {
        return createDate;
    }

    public String setCreateDate(String createDate) {
        this.createDate = createDate;

        return getCreateDate();
    }

    public String getCreateTime() {
        return createTime;
    }

    public String setCreateTime(String createTime) {
        this.createTime = createTime;

        return getCreateTime();
    }

    public String getUpdStatDate() {
        return updStatDate;
    }

    public String setUpdStatDate(String updStatDate) {
        this.updStatDate = updStatDate;

        return getUpdStatDate();
    }

    public String getUpdStatTime() {
        return updStatTime;
    }

    public String setUpdStatTime(String updStatTime) {
        this.updStatTime = updStatTime;

        return getUpdStatTime();
    }

    public String getAlterDate() {
        return alterDate;
    }

    public String setAlterDate(String alterDate) {
        this.alterDate = alterDate;

        return getAlterDate();
    }

    public String getAlterTime() {
        return alterTime;
    }

    public String setAlterTime(String alterTime) {
        this.alterTime = alterTime;

        return getAlterTime();
    }

    public String getUnloaded() {
        return unloaded;
    }

    public String setUnloaded(String unloaded) {
        this.unloaded = unloaded;

        return getUnloaded();
    }

    public String getPrivileges() {
        return privileges;
    }

    public String setPrivileges(String privileges) {
        this.privileges = privileges;

        return getPrivileges();
    }

    public String getComment() {
        return comment;
    }

    public String setComment(String comment) {
        this.comment = comment;

        return getComment();
    }

    public String getTableid() {
        return tableid;
    }

    public String setTableid(String tableid) {
        this.tableid = tableid;

        return getTableid();
    }

    public String getArchive() {
        return archive;
    }

    public String setArchive(String archive) {
        this.archive = archive;

        return getArchive();
    }

    public String getVariableColumns() {
        return variableColumns;
    }

    public String setVariableColumns(String variableColumns) {
        this.variableColumns = variableColumns;

        return getVariableColumns();
    }

}
