/*
 Generic Runtime Library (GRT)
 Copyright (C) 2005 MySQL AB

 This library is free software; you can redistribute it and/or
 modify it under the terms of the GNU Lesser General Public
 License as published by the Free Software Foundation; either
 version 2.1 of the License, or (at your option) any later version.

 This library is distributed in the hope that it will be useful,
 but WITHOUT ANY WARRANTY; without even the implied warranty of
 MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the GNU
 Lesser General Public License for more details.

 You should have received a copy of the GNU Lesser General Public
 License along with this library; if not, write to the Free Software
 Foundation, Inc., 51 Franklin St, Fifth Floor, Boston, MA  02110-1301  USA
 */

package com.mysql.grt.db.query;

public class ResultsetColumnDataLocal extends com.mysql.grt.GrtObjectDataLocal implements ResultsetColumnData {

    private int displayLength;

    private int displayDecimals;

    private int isPrimaryKey;

    private String length;

    private String columnType;

    public ResultsetColumnDataLocal(com.mysql.grt.GrtObject grtObject) {
        super(grtObject);
    }

    public int getDisplayLength() {
        return displayLength;
    }

    public int setDisplayLength(int displayLength) {
        this.displayLength = displayLength;

        return getDisplayLength();
    }

    public int getDisplayDecimals() {
        return displayDecimals;
    }

    public int setDisplayDecimals(int displayDecimals) {
        this.displayDecimals = displayDecimals;

        return getDisplayDecimals();
    }

    public int getIsPrimaryKey() {
        return isPrimaryKey;
    }

    public int setIsPrimaryKey(int isPrimaryKey) {
        this.isPrimaryKey = isPrimaryKey;

        return getIsPrimaryKey();
    }

    public String getLength() {
        return length;
    }

    public String setLength(String length) {
        this.length = length;

        return getLength();
    }

    public String getColumnType() {
        return columnType;
    }

    public String setColumnType(String columnType) {
        this.columnType = columnType;

        return getColumnType();
    }

}
