/*
 Generic Runtime Library (GRT)
 Copyright (C) 2005 MySQL AB

 This library is free software; you can redistribute it and/or
 modify it under the terms of the GNU Lesser General Public
 License as published by the Free Software Foundation; either
 version 2.1 of the License, or (at your option) any later version.

 This library is distributed in the hope that it will be useful,
 but WITHOUT ANY WARRANTY; without even the implied warranty of
 MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the GNU
 Lesser General Public License for more details.

 You should have received a copy of the GNU Lesser General Public
 License along with this library; if not, write to the Free Software
 Foundation, Inc., 51 Franklin St, Fifth Floor, Boston, MA  02110-1301  USA
 */

package com.mysql.grt.canvas;

public interface ViewData extends com.mysql.grt.GrtObjectData {

    public double getZoomX();

    public double setZoomX(double zoomX);

    public double getZoomY();

    public double setZoomY(double zoomY);

    public double getX();

    public double setX(double x);

    public double getY();

    public double setY(double y);

    public double getJitter();

    public double setJitter(double jitter);

    public String getDescription();

    public String setDescription(String description);

    public String getColor();

    public String setColor(String color);

    public com.mysql.grt.canvas.LayerList getLayers();

    public com.mysql.grt.canvas.LayerList setLayers(com.mysql.grt.canvas.LayerList layers);

}
