/*
 Generic Runtime Library (GRT)
 Copyright (C) 2005 MySQL AB

 This library is free software; you can redistribute it and/or
 modify it under the terms of the GNU Lesser General Public
 License as published by the Free Software Foundation; either
 version 2.1 of the License, or (at your option) any later version.

 This library is distributed in the hope that it will be useful,
 but WITHOUT ANY WARRANTY; without even the implied warranty of
 MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the GNU
 Lesser General Public License for more details.

 You should have received a copy of the GNU Lesser General Public
 License along with this library; if not, write to the Free Software
 Foundation, Inc., 51 Franklin St, Fifth Floor, Boston, MA  02110-1301  USA
 */

package com.mysql.grt.db.mysql;

public class ColumnDataLocal extends com.mysql.grt.db.ColumnDataLocal implements ColumnData {

    private int autoIncrement;

    private String datatypeExplicitParams;

    public ColumnDataLocal(com.mysql.grt.GrtObject grtObject) {
        super(grtObject);
    }

    public int getAutoIncrement() {
        return autoIncrement;
    }

    public int setAutoIncrement(int autoIncrement) {
        this.autoIncrement = autoIncrement;

        return getAutoIncrement();
    }

    public String getDatatypeExplicitParams() {
        return datatypeExplicitParams;
    }

    public String setDatatypeExplicitParams(String datatypeExplicitParams) {
        this.datatypeExplicitParams = datatypeExplicitParams;

        return getDatatypeExplicitParams();
    }

}
