/*
 Generic Runtime Library (GRT)
 Copyright (C) 2005 MySQL AB

 This library is free software; you can redistribute it and/or
 modify it under the terms of the GNU Lesser General Public
 License as published by the Free Software Foundation; either
 version 2.1 of the License, or (at your option) any later version.

 This library is distributed in the hope that it will be useful,
 but WITHOUT ANY WARRANTY; without even the implied warranty of
 MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the GNU
 Lesser General Public License for more details.

 You should have received a copy of the GNU Lesser General Public
 License along with this library; if not, write to the Free Software
 Foundation, Inc., 51 Franklin St, Fifth Floor, Boston, MA  02110-1301  USA
 */

package com.mysql.grt.db.mysql;

public interface SchemaData extends com.mysql.grt.db.SchemaData {

    public com.mysql.grt.db.TableList getTables();

    public com.mysql.grt.db.TableList setTables(com.mysql.grt.db.TableList tables);

    public com.mysql.grt.db.ViewList getViews();

    public com.mysql.grt.db.ViewList setViews(com.mysql.grt.db.ViewList views);

    public com.mysql.grt.db.RoutineList getRoutines();

    public com.mysql.grt.db.RoutineList setRoutines(com.mysql.grt.db.RoutineList routines);

    public com.mysql.grt.db.RoutineGroupList getRoutineGroups();

    public com.mysql.grt.db.RoutineGroupList setRoutineGroups(com.mysql.grt.db.RoutineGroupList routineGroups);

    public com.mysql.grt.db.SynonymList getSynonyms();

    public com.mysql.grt.db.SynonymList setSynonyms(com.mysql.grt.db.SynonymList synonyms);

    public com.mysql.grt.db.StructuredDatatypeList getStructuredTypes();

    public com.mysql.grt.db.StructuredDatatypeList setStructuredTypes(com.mysql.grt.db.StructuredDatatypeList structuredTypes);

    public com.mysql.grt.db.SequenceList getSequences();

    public com.mysql.grt.db.SequenceList setSequences(com.mysql.grt.db.SequenceList sequences);

}
